### A free/open-source library for quantitative finance

Static Public Member Functions
BernsteinPolynomial Class Reference

class of Bernstein polynomials More...

`#include <ql/math/bernsteinpolynomial.hpp>`

List of all members.

## Static Public Member Functions

static Real | get (Natural i, Natural n, Real x)

## Detailed Description

class of Bernstein polynomials

see definition:

Weisstein, Eric W. "Bernstein Polynomial." From MathWorld--A Wolfram Web Resource. <http://mathworld.wolfram.com/BernsteinPolynomial.html>

The Bernstein polynomials are defined as